SET( SOURCES_CELLULAR_AUTOMATON
  CellularAutomatonTest
  ../CellularAutomaton
)
ADD_EXECUTABLE( testCellularAutomaton ${SOURCES_CELLULAR_AUTOMATON} )

SET( SOURCES_TEST_VECTORS
  TestVectorsTest
  ../CellularAutomaton
  ../GlobalStatistics
  ../Logger
  ../MessageStatistics
  ../Parameters
  ../Statistics
  ../TestVectors
)
ADD_EXECUTABLE( testTestVectors ${SOURCES_TEST_VECTORS} )

SET( SOURCES_BIST_PROBLEM
  BistProblemTest
  ../BistProblem
  ../CellularAutomaton
  ../GlobalStatistics
  ../Logger
  ../MessageStatistics
  ../Parameters
  ../ProblemDomain
  ../Statistics
  ../TestVectors
)
ADD_EXECUTABLE( testBistProblem ${SOURCES_BIST_PROBLEM} )
